AbstractCellEditor (Java Platform SE 8 )
Keywords: javax.swing.AbstractCellEditor class
Date: 2026-07-22

javax.swing

## Class AbstractCellEditor

- java.lang.Object
- - javax.swing.AbstractCellEditor

- All Implemented Interfaces:
    Serializable, CellEditor
  Direct Known Subclasses:
    DefaultCellEditor

      public abstract class AbstractCellEditor
      extends Object
      implements CellEditor, Serializable

  A base class for `CellEditors`, providing default implementations for the methods in the `CellEditor` interface except `getCellEditorValue()`. Like the other abstract implementations in Swing, also manages a list of listeners.

  Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans™ has been added to the `java.beans` package. Please see `XMLEncoder`.

  Since:
    1.3

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ChangeEvent` | `changeEvent`
    `protected EventListenerList` | `listenerList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractCellEditor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCellEditorListener(CellEditorListener l)` Adds a `CellEditorListener` to the listener list.
    `void` | `cancelCellEditing()` Calls `fireEditingCanceled`.
    `protected void` | `fireEditingCanceled()` Notifies all listeners that have registered interest for notification on this event type.
    `protected void` | `fireEditingStopped()` Notifies all listeners that have registered interest for notification on this event type.
    `CellEditorListener[]` | `getCellEditorListeners()` Returns an array of all the `CellEditorListener`s added to this AbstractCellEditor with addCellEditorListener().
    `boolean` | `isCellEditable(EventObject e)` Returns true.
    `void` | `removeCellEditorListener(CellEditorListener l)` Removes a `CellEditorListener` from the listener list.
    `boolean` | `shouldSelectCell(EventObject anEvent)` Returns true.
    `boolean` | `stopCellEditing()` Calls `fireEditingStopped` and returns true.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.swing.CellEditor

      `getCellEditorValue`

- - ### Field Detail

    - #### listenerList

          protected EventListenerList listenerList

    - #### changeEvent

          protected transient ChangeEvent changeEvent

  - ### Constructor Detail

    - #### AbstractCellEditor

          public AbstractCellEditor()

  - ### Method Detail

    - #### isCellEditable

          public boolean isCellEditable(EventObject e)

      Returns true.
      Specified by:
        `isCellEditable` in interface `CellEditor`
      Parameters:
        `e` - an event object
      Returns:
        true
      See Also:
        `CellEditor.shouldSelectCell(java.util.EventObject)`

    - #### shouldSelectCell

          public boolean shouldSelectCell(EventObject anEvent)

      Returns true.
      Specified by:
        `shouldSelectCell` in interface `CellEditor`
      Parameters:
        `anEvent` - an event object
      Returns:
        true
      See Also:
        `CellEditor.isCellEditable(java.util.EventObject)`

    - #### stopCellEditing

          public boolean stopCellEditing()

      Calls `fireEditingStopped` and returns true.
      Specified by:
        `stopCellEditing` in interface `CellEditor`
      Returns:
        true

    - #### cancelCellEditing

          public void cancelCellEditing()

      Calls `fireEditingCanceled`.
      Specified by:
        `cancelCellEditing` in interface `CellEditor`

    - #### addCellEditorListener

          public void addCellEditorListener(CellEditorListener l)

      Adds a `CellEditorListener` to the listener list.
      Specified by:
        `addCellEditorListener` in interface `CellEditor`
      Parameters:
        `l` - the new listener to be added

    - #### removeCellEditorListener

          public void removeCellEditorListener(CellEditorListener l)

      Removes a `CellEditorListener` from the listener list.
      Specified by:
        `removeCellEditorListener` in interface `CellEditor`
      Parameters:
        `l` - the listener to be removed

    - #### getCellEditorListeners

          public CellEditorListener[] getCellEditorListeners()

      Returns an array of all the `CellEditorListener`s added to this AbstractCellEditor with addCellEditorListener().
      Returns:
        all of the `CellEditorListener`s added or an empty array if no listeners have been added
      Since:
        1.4

    - #### fireEditingStopped

          protected void fireEditingStopped()

      Notifies all listeners that have registered interest for notification on this event type. The event instance is created lazily.
      See Also:
        `EventListenerList`

    - #### fireEditingCanceled

          protected void fireEditingCanceled()

      Notifies all listeners that have registered interest for notification on this event type. The event instance is created lazily.
      See Also:
        `EventListenerList`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.